
From: Paul Mackerras <paulus@samba.org>

Here is a patch that sets struct iommu_table->it_type to TCE_PCI in
pSeries_iommu.c.  This is just for code completeness (and it is updated in
iSeries_iommu.c, but was somehow missed in pSeries_iommu.c).

Signed-off-by: Ananth N Mavinakayanahalli <ananth@in.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pSeries_iommu.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc64/kernel/pSeries_iommu.c~ppc64-set-tbl-it_type-in-iommu-code arch/ppc64/kernel/pSeries_iommu.c
--- 25/arch/ppc64/kernel/pSeries_iommu.c~ppc64-set-tbl-it_type-in-iommu-code	2004-08-16 11:34:35.385362984 -0700
+++ 25-akpm/arch/ppc64/kernel/pSeries_iommu.c	2004-08-16 11:34:35.389362376 -0700
@@ -211,6 +211,7 @@ static void iommu_table_setparms(struct 
 	tbl->it_index = 0;
 	tbl->it_entrysize = sizeof(union tce_entry);
 	tbl->it_blocksize = 16;
+	tbl->it_type = TCE_PCI;
 }
 
 /*
@@ -246,6 +247,7 @@ static void iommu_table_setparms_lpar(st
 	tbl->it_index  = dma_window[0];
 	tbl->it_entrysize = sizeof(union tce_entry);
 	tbl->it_blocksize  = 16;
+	tbl->it_type = TCE_PCI;
 }
 
 
_
